Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.core
Interface AssociationListener<T>

All Known Subinterfaces:
  AssociationProxy<T>, ServiceSelectionStrategy<T>

All Known Implementing Classes:
  AbstractServiceSelectionStrategy, AssociationInjector, AssociationProxySupport, FailOver, RoundRobin, Utilization

    public interface AssociationListener<T>

The AssociationListener interface specifies the semantics of a client which when registered to an AssociationManagement instance will receive notifications of Associations being discovered, changed and broken.

Method Summary
`void` | `broken(Association<T> association, T service)` Notify the AssociationListener that an Association is broken.
`void` | `changed(Association<T> association, T service)` Notify the AssociationListener that a service endpoint has changed
`void` | `discovered(Association<T> association, T service)` Notify the AssociationListener that an Association has been discovered

Method Detail

### discovered

    void discovered(Association<T> association,
                    T service)

  Notify the AssociationListener that an Association has been discovered

  Parameters:
    `association` - The Association
    `service` - The associated service that has been discovered

### changed

    void changed(Association<T> association,
                 T service)

  Notify the AssociationListener that a service endpoint has changed

  Parameters:
    `association` - The Association
    `service` - The service that was removed, changing the endpoint

### broken

    void broken(Association<T> association,
                T service)

  Notify the AssociationListener that an Association is broken. If the Association type is requires, the AssociationManagement object will unadvertise the ServiceBean using the ServiceBean instances ServiceBeanControl interface unless the unadvertiseOnBroken is set to false

  Parameters:
    `association` - The Association.
    `service` - The service that was removed, causing the Association to be broken

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.